---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libdyncodgen001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x1D20, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F530, symBinAddr: 0x61E0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51470, symBinAddr: 0x8120, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51860, symBinAddr: 0x8510, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52800, symBinAddr: 0x94B0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52810, symBinAddr: 0x94C0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F1B0, symBinAddr: 0x60A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F1B4, symBinAddr: 0x60A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F1B8, symBinAddr: 0x60A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F310, symBinAddr: 0x60B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F3C8, symBinAddr: 0x6168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F3CC, symBinAddr: 0x616C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F3D0, symBinAddr: 0x6170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F3D4, symBinAddr: 0x6174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F3D8, symBinAddr: 0x6178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F3E0, symBinAddr: 0x6180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4F3F0, symBinAddr: 0x6190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F3F8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F400, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F408, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F410, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F418, symBinAddr: 0x61B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x4F45C, symBinAddr: 0x61CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4F460, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x953D, offset: 0x953D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x9C0, symSize: 0x80 }
  - { offsetInCU: 0x95D2, offset: 0x95D2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x910, symSize: 0xB0 }
  - { offsetInCU: 0x962D, offset: 0x962D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x810, symSize: 0x100 }
  - { offsetInCU: 0x98C0, offset: 0x98C0, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xA40, symSize: 0xC0 }
  - { offsetInCU: 0x9912, offset: 0x9912, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB00, symSize: 0x220 }
  - { offsetInCU: 0x9AF7, offset: 0x9AF7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xD20, symSize: 0xA0 }
  - { offsetInCU: 0x9BAA, offset: 0x9BAA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xDC0, symSize: 0x110 }
  - { offsetInCU: 0x9CA0, offset: 0x9CA0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xED0, symSize: 0x150 }
  - { offsetInCU: 0x9DFD, offset: 0x9DFD, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1020, symSize: 0x30 }
  - { offsetInCU: 0x9EBE, offset: 0x9EBE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1050, symSize: 0x150 }
  - { offsetInCU: 0xA0B6, offset: 0xA0B6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x11A0, symSize: 0x160 }
  - { offsetInCU: 0xA376, offset: 0xA376, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1300, symSize: 0x4A0 }
  - { offsetInCU: 0xA5E9, offset: 0xA5E9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x17A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA804, offset: 0xA804, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1950, symSize: 0xA0 }
  - { offsetInCU: 0xA8D3, offset: 0xA8D3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x19F0, symSize: 0x20 }
  - { offsetInCU: 0xA90A, offset: 0xA90A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1A10, symSize: 0x20 }
  - { offsetInCU: 0xA941, offset: 0xA941, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1A30, symSize: 0x20 }
  - { offsetInCU: 0xAAB0, offset: 0xAAB0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1A50, symSize: 0x1A0 }
  - { offsetInCU: 0xADCC, offset: 0xADCC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1BF0, symSize: 0x130 }
  - { offsetInCU: 0xAF7C, offset: 0xAF7C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x1F90, symSize: 0x1B0 }
  - { offsetInCU: 0xB26B, offset: 0xB26B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2140, symSize: 0x80 }
  - { offsetInCU: 0xB334, offset: 0xB334, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x21C0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEC9, offset: 0xBEC9, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F90, symBinAddr: 0x32E0, symSize: 0xB0 }
  - { offsetInCU: 0xBF40, offset: 0xBF40, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2860, symSize: 0x70 }
  - { offsetInCU: 0xBFDC, offset: 0xBFDC, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x28D0, symSize: 0xA0 }
  - { offsetInCU: 0xC0E7, offset: 0xC0E7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2970, symSize: 0x40 }
  - { offsetInCU: 0xC1DD, offset: 0xC1DD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x29B0, symSize: 0x2B0 }
  - { offsetInCU: 0xC583, offset: 0xC583, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2C60, symSize: 0xC0 }
  - { offsetInCU: 0xC6C9, offset: 0xC6C9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2D20, symSize: 0x10 }
  - { offsetInCU: 0xC78B, offset: 0xC78B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2D30, symSize: 0x220 }
  - { offsetInCU: 0xCA88, offset: 0xCA88, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2F50, symSize: 0x10 }
  - { offsetInCU: 0xCAE5, offset: 0xCAE5, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2F60, symSize: 0x290 }
  - { offsetInCU: 0xCE18, offset: 0xCE18, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EA0, symBinAddr: 0x31F0, symSize: 0x10 }
  - { offsetInCU: 0xCE75, offset: 0xCE75, size: 0x8, addend: 0x0, symName: _DynamicCodeGenerated, symObjAddr: 0x9EB0, symBinAddr: 0x3200, symSize: 0x30 }
  - { offsetInCU: 0xCEFD, offset: 0xCEFD, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9EE0, symBinAddr: 0x3230, symSize: 0xB0 }
  - { offsetInCU: 0xCFCE, offset: 0xCFCE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA040, symBinAddr: 0x3390, symSize: 0x36A }
...
